ZF-8799: Zend_Gdata_Gapps not using version 2 of the Provisioning API

Issue Type: Improvement Created: 2010-01-13T01:17:25.000+0000 Last Updated: 2010-10-04T16:33:18.000+0000 Status: Resolved Fix version(s): - 1.10.7 (28/Jul/10)

Reporter: Chua Chee How (chuacheehow) Assignee: Trevor Johns (tjohns) Tags: - Zend_Gdata

Related issues: Attachments: -


The current version of Zend_Gdata library can only access version 1 of the API, but the currently supported version is version 2. (…)

Although version 1 continues to work, it is already deprecated.

Being version 1, the library does not support the concept of owners that is available in version 2.


Posted by Chua Chee How (chuacheehow) on 2010-01-13T01:55:53.000+0000

Aside from making changes to the Gapps.php file, version 2 of the API involves a new extension. To accomodate for this, a Zend_Gdata_Gapps_Extension_Property class is created.

The main change from version 1 to 2 has to do with the change of email lists to groups, and differentiation between a member and an owner. (attachment) contains the files that are created/modified for this fix in the same directory structure with the base directory being Zend/Gdata/

Posted by Chua Chee How (chuacheehow) on 2010-01-13T01:56:47.000+0000

Actual PHP files for fixing this issue.

Posted by Trevor Johns (tjohns) on 2010-10-04T16:33:18.000+0000

Fixed by r22511.

Have you found an issue?

See the Overview section for more details.


© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.